Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezxmlrpcfunction.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezxmlrpcfunction.php 2835 2001-01-25 09:23:53Z bf $
5 //
6 // Definition of eZXMLRPCFunction class
7 //
8 // B�rd Farstad <bf@ez.no>
9 // Created on: <16-Dec-2000 14:57:57 bf>
10 //
11 // This source file is part of Exponential Basic, publishing software.
12 // Copyright (C) 1999-2000 eZ systems as
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
29
32
36 class eZXMLRPCFunction
37 {
41 function __construct( $name, $parameters=0 )
42 {
43 $this->Name =& $name;
44 $this->ParameterList = array();
45 }
46
50 function name()
51 {
52 return $this->Name;
53 }
54
58 function addParameter( $param )
59 {
60 $this->ParameterList[] = $param;
61 }
62
66 function parameters()
67 {
68 return $this->ParameterList;
69 }
70
72 var $Name;
73
75 var $ParameterList;
76 }
77
78 ?>
eZXMLRPCFunction
Definition: ezxmlrpcfunction.php:37
eZXMLRPCFunction\__construct
__construct( $name, $parameters=0)
Definition: ezxmlrpcfunction.php:41
eZXMLRPCFunction\$ParameterList
$ParameterList
The list of parameters and their type.
Definition: ezxmlrpcfunction.php:75
eZXMLRPCFunction\name
name()
Definition: ezxmlrpcfunction.php:50
eZXMLRPCFunction\addParameter
addParameter( $param)
Definition: ezxmlrpcfunction.php:58
eZXMLRPCFunction\$Name
$Name
The name of the XML-RPC function.
Definition: ezxmlrpcfunction.php:72
eZXMLRPCFunction\parameters
parameters()
Definition: ezxmlrpcfunction.php:66
$name
$name
Definition: companytypelist.php:194
Name
if($user) if(isset( $next) && $next)<?=isset($all_fields_error) &&$all_fields_error ?><?=isset($password_error) &&$password_error ?></p ><? endif;?>< form method="post">< table border="0" cellspacing="2" cellpadding="2" class="boxtext" style="font-size=13;">< tr >< td style="color:<?= isset( $error['first_name'] ) ?> First Name
Definition: step1.php:127
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.